<!--
/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CVSkills.vue
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * ----------------------------------------------------------------
 */
-->

<style type="text/css" src="./css/CVSkills.css" scoped/>

<script>
    import Card from "../Card/Card";

    export default {
        name: 'CVSkills',

        components: {
            Card
        },

        data: () => {
            return {
                component: {
                    design: {
                        class: ['cv-skills']
                    }
                }
            }
        },
    }
</script>

<template>
    <Card :design="component.design">

        <!-- Title -->
        <div class="cv-skills-title">Compétences</div>

        <!-- Content -->
        <section class="cv-skills-contents">

            <!-- Technologies & Languages -->
            <article class="cv-skills-content">
                <div class="cv-skills-content-title">Technologies & Languages</div>
                <ul>
                    <li>Développement PHP <span class="cv-skills-content-information">(7.0 & supérieur)</span> - API / Framework</li>
                    <li>Développement Symfony <span class="cv-skills-content-information">(5 & 6)</span> - API / Full</li>
                    <li>HTML 5 / CSS3</li>
                    <li>Framework VueJs</li>
                    <li>MySQL / MariaDB</li>
                    <li>Shell</li>
                </ul>
            </article>

            <!-- Methodologies -->
            <article class="cv-skills-content">
                <div class="cv-skills-content-title">Méthodologies</div>
                <ul>
                    <li>Analyses techniques</li>
                    <li>Documentation techniques</li>
                    <li>UML</li>
                    <li>Gantt</li>
                </ul>
            </article>

            <!-- Softwares -->
            <article class="cv-skills-content">
                <div class="cv-skills-content-title">Outils & Logiciels</div>
                <ul>
                    <li>PHPStorm</li>
                    <li>Blender <span class="cv-skills-content-information">(Modélisation 3D)</span></li>
                    <li>Unreal Engine 4 <span class="cv-skills-content-information">(Game Design)</span></li>
                    <li>Only Office & LateX <span class="cv-skills-content-information">(Rédaction)</span></li>
                    <li>Adobe CS6 <span class="cv-skills-content-information">(Conception)</span></li>
                </ul>
            </article>

            <!-- Systems & Networks -->
            <article class="cv-skills-content">
                <div class="cv-skills-content-title">Systèmes & Réseaux</div>
                <ul>
                    <li>Linux <span class="cv-skills-content-information">(Arch Linux / Debian)</span></li>
                    <li>Windows</li>
                    <li><span class="cv-skills-content-groups">Pare-feux :</span> Iptables / Fail2Ban</li>
                    <li><span class="cv-skills-content-groups">Protocoles :</span> DHCP, DNS, NAT, SSH, NFS, HTTP<span class="cv-skills-content-information">(S)</span>, TLS/SSL, IMAP<span class="cv-skills-content-information">(S)</span>, SMTP<span class="cv-skills-content-information">(S)</span>, Web Service <span class="cv-skills-content-information">(SOAP, REST)</span></li>
                    <li><span class="cv-skills-content-groups">Surveillance :</span> Wireshark, Nmap</li>
                    <li><span class="cv-skills-content-groups">Accès à distance :</span> Console, Teamviewer</li>
                </ul>
            </article>

            <!-- Langues -->
            <article class="cv-skills-content">
                <div class="cv-skills-content-title">Langues</div>
                <ul>
                    <li>Anglais <span class="cv-skills-content-information">(Niveau technique)</span></li>
                </ul>
            </article>

        </section>

    </Card>
</template>
